package com.pm.kltj.service.impl;

import com.pm.kltj.mapper.PeopleFlowMapper;
import com.pm.kltj.service.IPeopleFlowService;
import com.pm.common.config.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class PeopleFlowServiceImpl implements IPeopleFlowService {

    @Autowired
    private PeopleFlowMapper peopleFlowMapper;

    @Override
    public List<Map<String, Object>> selectDeviceList() {
        return peopleFlowMapper.selectDeviceList();
    }

    @Override
    public List<Map<String, Object>> selectFlowDataList(PageData pd) {
        return peopleFlowMapper.selectFlowDataList(pd);
    }
}